[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfaceList.Remove

Remove an interface from the list

## Declaration

Source position: classesh.inc line 1885

`public function TInterfaceList.Remove(`
`item: IUnknown`
`):Integer;`

## Description

Remove is the implementation of the IInterfaceList.Remove method. It removes the first occurrence of the interface from the list.

## See also

IInterfaceList.Remove |  | Remove an interface from the list
TInterfaceList.Delete |  | Delete an interface from the list.
TInterfaceList.IndexOf |  | Returns the index of an interface.
TList.Remove |  | Removes a value from the list.
TFPList.Remove |  | Removes a value from the list.

Documentation generated on: Feb 26 2014